# vim: ft=spec
%undefine       _cmake_in_source_build

%global qt_ver  5

Name:           qmlgreet
Version:        0
Release:        0.84.20230325gitcb0212c%{?dist}
Summary:        QML-based greeter for greetd

License:        GPL-3.0-only
URL:            https://gitlab.com/alebastr/%{name}
Source0:        qmlgreet-cb0212cc.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt%{qt_ver}Core)
BuildRequires:  cmake(Qt%{qt_ver}LinguistTools)
BuildRequires:  cmake(Qt%{qt_ver}Network)
BuildRequires:  cmake(Qt%{qt_ver}Quick)
%if %{qt_ver} == 5
BuildRequires:  cmake(Qt5QuickControls2)
Requires:       qt5-qtquickcontrols2%{?_isa}
%endif

Requires:       greetd >= 0.6
Provides:       greetd-greeter = 0.6
Provides:       greetd-%{name} = %{version}-%{release}

Recommends:     desktop-backgrounds-compat
Recommends:     qt%{qt_ver}-qtwayland
Recommends:     sway
Recommends:     swayidle
Recommends:     wayland-logout

%description
%{summary}.


%prep
%setup -T -b 0 -q -n qmlgreet


%build
%cmake \
    -DUSE_QT_VERSION:STRING=%{qt_ver}
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE
%doc README.md
%dir %{_sysconfdir}/xdg/%{name}
%config(noreplace) %{_sysconfdir}/xdg/%{name}/qmlgreet.ini
%config(noreplace) %{_sysconfdir}/xdg/%{name}/sway.config
%{_bindir}/qmlgreet
%{_bindir}/qtextgreet
%{_bindir}/start-qmlgreet


%changelog
